<!DOCTYPE HTML><html><head><meta charset="UTF-8">
<title>The Photo Gallery Tutorial</title>
<?php include("../../../inc/toplinks.php"); ?>
</head>
<body id="code">
<?php include("../../../inc/plane.php"); ?>
<div id="wrap">
	<div id="main">
		<h1>The Photo Gallery Tutorial</h1>
		<?php include("../../../inc/breadcrumb.php"); ?>
		<p class="button">
			<a href="photo-gallery-demo.php">View Demo</a>
			<a href="photo-gallery.zip">Download Source</a>
		</p>
		<p>One day I went Googling... All I needed was a simple Photo Gallery with a clean user interface for one of my websites... but I couldn't find one... <strong>So, I built one!</strong> No shadow boxes, thumbnails, captions, or overcomplicated navigation controls. Just simple, and to the point! This thing is clean, and extremely easy to work with.</p>
		<p><strong>A little explanation...</strong> In the demo, I use "css sprites" to give the hover and push button effect to the navigation (i.e. #controls a). I use <b>href="javascript:;"</b> to safeguard against the browser launching you to the top of the window when you click it. And I use <b>onclick="this.blur();"</b> to kill IE's a:active bug. There is a <b>&lt;noscript&gt;</b> tag in there, so it tells the user to turn on JS (if need be) in order to view the gallery. I didn't wrap the img's/anchor's in ul's/li's, because to me it added no benefit, only extra code. Also, I wanted to use .png's Dammit! So I just feed IE6 some expressions to fix the #controls. I tried just giving IE6 some solid color .gifs instead, but I was getting too much of a flicker when the images changed (IE6 bug). As an added benefit, IE expressions prevent background image manipulation, which simply means no IE6 flicker.</p>
		<h2 class="nomargin">Implementation/Download...</h2>
		<p>Aside from the Photo Gallery page itself, you need <strong>FOUR files</strong> to make this work. Link to all of them in the head section as I have in the demo above.</p>
		<p style="font-weight:bold;"> <a href="gallery.css">gallery.css</a><br>
			<a href="iegallery.css">iegallery.css</a><br>
			<a href="jquery.js">jquery.js</a><br>
			<a href="gallery.js">gallery.js</a><br>
		</p>
		<div class="spacerdiv"></div>
		<p>"Very Cool! But, I don't want or need all those cosmetic images" you say. OK, <a href="basic-photo-gallery-demo.php">here is another version with the same functionality</a>, but striped down and void of the flashy stuff. Again... so, aside from the Basic-Photo Gallery page itself, you need <strong>THREE files</strong> to make this work. Link to all of them in the head section as I have.</p>
		<p style="font-weight:bold;"> <a href="basic-gallery.css">basic-gallery.css</a><br>
			<a href="jquery.js">jquery.js</a><br>
			<a href="gallery.js">gallery.js</a><br>
		</p>
		<?php include("../../../inc/paypal.php"); ?>
		<?php include("../../../inc/disqus.php"); ?>
	</div>
	<?php include("../../../inc/sidebar.php"); ?>
</div>
<?php include("../../../inc/topnav.php"); ?>
<div id="foot">
	<?php include("../../../inc/foot.php"); ?>
</div>
<?php include("../../../inc/botlinks.php"); ?>
</body>
</html>
